Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692012 - net-libs/grpc-1.22.0 : src/.../log_linux.cc:43:13: error: ambiguating new declaration of long int gettid()
Summary: net-libs/grpc-1.22.0 : src/.../log_linux.cc:43:13: error: ambiguating new dec...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jason Zaman
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-12 18:06 UTC by Toralf Förster
Modified: 2020-03-15 18:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.96 KB, text/plain)
2019-08-12 18:07 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,66.79 KB, text/plain)
2019-08-12 18:07 UTC, Toralf Förster
Details
environment (environment,66.73 KB, text/plain)
2019-08-12 18:07 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,35.55 KB, application/x-bzip)
2019-08-12 18:07 UTC, Toralf Förster
Details
net-libs:grpc-1.22.0:20190812-132947.log (net-libs:grpc-1.22.0:20190812-132947.log,18.56 KB, text/plain)
2019-08-12 18:07 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.76 KB, application/x-bzip)
2019-08-12 18:07 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-12 18:06:59 UTC
x86_64-pc-linux-gnu-g++ -Ithird_party/googletest/googletest/include -Ithird_party/googletest/googlemock/include  -Ithird_party/address_sorting/include -g -Wall -Wextra  -Wno-long-long -Wno-unused-parameter -DOSATOMIC_USE_INLINED=1 -Wno-deprecated-declarations -Ithird_party/nanopb -DPB_FIELD_32BIT -O2 -Wframe-larger-than=16384 -fPIC -I. -Iinclude -I/var/tmp/portage/net-libs/grpc-1.22.0/work/grpc-1.22.0/gens -DNDEBUG -DINSTALL_PREFIX=\"/usr\"     -pthread  -O2 -pipe -march=native -fno-rtti -fno-exceptions -MMD -MF /var/tmp/portage/net-libs/grpc-1.22.0/work/grpc-1.22.0/objs/opt/src/core/lib/gpr/log_linux.dep -c -o /var/tmp/portage/net-libs/grpc-1.22.0/work/grpc-1.22.0/objs/opt/src/core/lib/gpr/log_linux.o src/core/lib/gpr/log_linux.cc
src/core/lib/gpr/log_linux.cc:43:13: error: ambiguating new declaration of ‘long int gettid()’
   43 | static long gettid(void) { return syscall(__NR_gettid); }
      |             ^~~~~~
In file included from /usr/include/unistd.h:1170,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-abi32+64-20190810-161025

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.12.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO net-libs/grpc
[ebuild  N    ] net-libs/grpc-1.22.0  USE="-doc -examples -perftools -static-libs -systemtap"
Comment 1 Toralf Förster gentoo-dev 2019-08-12 18:07:02 UTC
Created attachment 586648 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-12 18:07:05 UTC
Created attachment 586650 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-08-12 18:07:08 UTC
Created attachment 586652 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-08-12 18:07:11 UTC
Created attachment 586654 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-08-12 18:07:13 UTC
Created attachment 586656 [details]
net-libs:grpc-1.22.0:20190812-132947.log
Comment 6 Toralf Förster gentoo-dev 2019-08-12 18:07:16 UTC
Created attachment 586658 [details]
temp.tbz2
Comment 7 Georgy Yakovlev gentoo-dev 2019-08-12 18:13:59 UTC
literally the same code as in https://bugs.gentoo.org/691836
Comment 8 Larry the Git Cow gentoo-dev 2019-08-17 03:00:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29a42e53d53e3f437e04ff319e5c245e890665c9

commit 29a42e53d53e3f437e04ff319e5c245e890665c9
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-08-17 02:57:00 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-08-17 03:00:16 +0000

    net-libs/grpc: drop 1.22.0
    
    Bug: https://bugs.gentoo.org/692012
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 net-libs/grpc/Manifest           |   1 -
 net-libs/grpc/grpc-1.22.0.ebuild | 112 ---------------------------------------
 2 files changed, 113 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7078f6b6e76e8e7e0f4a42601e845e9c84723b28

commit 7078f6b6e76e8e7e0f4a42601e845e9c84723b28
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-08-17 02:18:02 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-08-17 02:59:51 +0000

    net-libs/grpc: bump to 1.22.1
    
    Bug: https://bugs.gentoo.org/692012
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 net-libs/grpc/Manifest           |   1 +
 net-libs/grpc/grpc-1.22.1.ebuild | 113 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf6b4895ed89ae2061d7f42487b269d25bbb956b

commit bf6b4895ed89ae2061d7f42487b269d25bbb956b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-08-17 02:15:26 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-08-17 02:59:49 +0000

    net-libs/grpc: bump to 1.23.0
    
    Bug: https://bugs.gentoo.org/692012
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 net-libs/grpc/Manifest                             |   1 +
 .../grpc/files/grpc-1.22.1-glibc-2.30-compat.patch |  78 ++++++++++++++
 net-libs/grpc/grpc-1.23.0.ebuild                   | 113 +++++++++++++++++++++
 3 files changed, 192 insertions(+)
Comment 9 Georgy Yakovlev gentoo-dev 2019-08-17 03:01:42 UTC
patch committed for 1.22.1 and 1.23.0
Comment 10 Sergei Trofimovich gentoo-dev 2020-02-17 20:35:40 UTC
Declaring done.